function fig = graphical()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load graphical

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'CreateFcn','plotedit(gcbf,''promoteoverlay''); ', ...
	'FileName','K:\Project\Year 3 - Project - Humaid Sultan Obaid\graphical.m', ...
	'PaperPosition',[10 10 576 432], ...
	'PaperType','A4', ...
	'PaperUnits','points', ...
	'Position',[1 29 1024 702], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[13.5 443.25 145.5 48], ...
	'String','Select the type of the signal', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func1_sawtooth', ...
	'ListboxTop',0, ...
	'Position',[19.5 361.5 69.75 48], ...
	'String','Sawtooth', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func2_square', ...
	'ListboxTop',0, ...
	'Position',[16.5 302.25 72 45.75], ...
	'String','Square', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func3_bipolar', ...
	'ListboxTop',0, ...
	'Position',[16.5 242.25 74.25 45.75], ...
	'String','Bipolar', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func5_triangular', ...
	'ListboxTop',0, ...
	'Position',[16.5 182.25 73.5 44.25], ...
	'String','Triangular', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func4_rectified_sin', ...
	'ListboxTop',0, ...
	'Position',[18 123.75 73.5 45.75], ...
	'String','Rectified sin', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','func7_comb', ...
	'ListboxTop',0, ...
	'Position',[18.75 63 73.5 49.5], ...
	'String','Comb', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','action EditText1', ...
	'ListboxTop',0, ...
	'Position',[666 372.75 71.25 34.5], ...
	'Style','edit', ...
	'Tag','EditText1', ...
	'Value',77);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','action EditText2', ...
	'CreateFcn','action EditText2', ...
	'ListboxTop',0, ...
	'Position',[670.5 260.25 69 36], ...
	'Style','edit', ...
	'Tag','EditText2', ...
	'UserData','[ ]', ...
	'Value',7);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','action EditText3', ...
	'ListboxTop',0, ...
	'Position',[668.25 162.75 70.5 33.75], ...
	'Style','edit', ...
	'Tag','EditText3', ...
	'Value',7);
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',[164 58 699 520], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4985673352435529 -0.04624277456647397 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.04154727793696275 0.4971098265895955 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat2, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4985673352435529 1.013487475915222 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[244.5 459.75 294 32.25], ...
	'String','The shape of the signal', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[672 406.5 60 29.25], ...
	'String','No. of Harmonics', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[674.25 296.25 60 29.25], ...
	'String','frequency', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[672.75 195.75 60 29.25], ...
	'String','No. of cycles', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',mat3, ...
	'ListboxTop',0, ...
	'Position',[652.5 90 95.25 42], ...
	'String','Exit from MATLAB', ...
	'Tag','Pushbutton3');
if nargout > 0, fig = h0; end
