% This program calculate the Fourier series approximation of a comb Function

clc;
clf;
clear all;
close all;

freq=input('Enter the frequency of the periodic signal to be generated freq=');
N=input('Enter the number of harmonics N=');
cycles=input('Enter the number of cycles to be plotted cycles=');



T=1/freq;		w0=2*pi/T;
t_initial=-T*cycles/2;
t_final=T*cycles/2;
step=(t_final-t_initial)/1000;
t=[t_initial:step:t_final];

a0=1+(pi/2);

for n=1:N
    a(n)=(cos(n*pi))/((n^2)*pi)-(1/(n^2)*pi);
    b(n)=0;
end;

for ii=1:length(t)
   func(ii)=a0/2;
   for n=1:N
      func(ii)=func(ii)+a(n)*cos(n*w0*t(ii))+b(n)*sin(n*w0*t(ii));
   end;   
end;

maxvalue=max(func);
func=func/maxvalue;

x_time=[t_initial t_final];
y_time=[0 0];

x_amp=[0 0];
y_amp=[-1.25 1.25];

plot(t,func,x_time,y_time,'k',x_amp,y_amp,'k');

axis ([t_initial t_final -1.25 1.25]);
Title('comb Function');

xlabel('Time t');
ylabel('Function Value');

end;